Subject: Re: bzip2-1.0.2 from official home page not working with Cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: Karl Robillard <[email-masked]>
Cc: [email-masked]
Date: Sat, 3 Jan 2004 13:47:48 +0100

Hallo Karl,

Am Samstag, 3. Januar 2004 um 09:47 schriebst du:

> I'm trying to build a stand alone libbz2 compiled with -mno-cygwin so I
> grabbed the source from http://sources.redhat.com/bzip2/ rather than using
> the version that comes with Cygwin.

I don't see the -mno-cygwin flag in the output you quoted.

> Running make produces warnings and one of the tests fails.  Below is the
> output using gcc 3.3.1-3.

There is a (small) patch included in the Cygwin source package, maybe
that helps?

Building with the Cygwin source package and 'CC=gcc -mno-cygwin'
I got this:

Doing 6 tests (3 compress, 3 uncompress) ...
If there's a problem, things might stop at this point.
 
./bzip2 -1  < sample1.ref > sample1.rb2
./bzip2 -2  < sample2.ref > sample2.rb2
./bzip2 -3  < sample3.ref > sample3.rb2
./bzip2 -d  < sample1.bz2 > sample1.tst
./bzip2 -d  < sample2.bz2 > sample2.tst
./bzip2 -ds < sample3.bz2 > sample3.tst
cmp sample1.bz2 sample1.rb2 
cmp sample2.bz2 sample2.rb2
cmp sample3.bz2 sample3.rb2
cmp sample1.tst sample1.ref
cmp sample2.tst sample2.ref
cmp sample3.tst sample3.ref

If you got this far and the "cmp"s didn't complain, it looks
like you're in business.  
[...]

$ cygcheck *.exe
Found: .\bzip2-stat.exe
bzip2-stat.exe
  C:\WINNT\System32\msvcrt.dll
    C:\WINNT\System32\KERNEL32.dll
      C:\WINNT\System32\ntdll.dll

Found: .\bzip2.exe
Found: H:\bin\bzip2.exe
Found: H:\\bin\bzip2.exe
bzip2.exe
  .\cygbz2-1.dll
    C:\WINNT\System32\msvcrt.dll
      C:\WINNT\System32\KERNEL32.dll
        C:\WINNT\System32\ntdll.dll

Found: .\bzip2recover-stat.exe
bzip2recover-stat.exe
  C:\WINNT\System32\msvcrt.dll
    C:\WINNT\System32\KERNEL32.dll
      C:\WINNT\System32\ntdll.dll

Found: .\bzip2recover.exe
Found: H:\bin\bzip2recover.exe
Found: H:\\bin\bzip2recover.exe
bzip2recover.exe
  C:\WINNT\System32\msvcrt.dll
    C:\WINNT\System32\KERNEL32.dll
      C:\WINNT\System32\ntdll.dll

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/